Estimate Audience Size
curl --request POST \
--url 'https://api.adside.ai/meta/mcp#estimate_audience_size' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"targeting": {
"age_min": 39,
"age_max": 39,
"genders": [
1.5
],
"geo_locations": {
"countries": [
"<string>"
],
"regions": [
{
"key": "<string>"
}
],
"cities": [
{
"key": "<string>",
"radius": 123
}
]
},
"interests": [
{
"id": "<string>",
"name": "<string>"
}
],
"behaviors": [
{
"id": "<string>",
"name": "<string>"
}
],
"custom_audiences": [
"<string>"
],
"lookalike_audiences": [
"<string>"
]
},
"optimization_goal": "<string>",
"account_id": "<string>"
}
},
"id": "1"
}
'import requests
url = "https://api.adside.ai/meta/mcp#estimate_audience_size"
payload = {
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"targeting": {
"age_min": 39,
"age_max": 39,
"genders": [1.5],
"geo_locations": {
"countries": ["<string>"],
"regions": [{ "key": "<string>" }],
"cities": [
{
"key": "<string>",
"radius": 123
}
]
},
"interests": [
{
"id": "<string>",
"name": "<string>"
}
],
"behaviors": [
{
"id": "<string>",
"name": "<string>"
}
],
"custom_audiences": ["<string>"],
"lookalike_audiences": ["<string>"]
},
"optimization_goal": "<string>",
"account_id": "<string>"
}
},
"id": "1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '<string>',
method: '<string>',
params: {
name: '<string>',
arguments: {
targeting: {
age_min: 39,
age_max: 39,
genders: [1.5],
geo_locations: {
countries: ['<string>'],
regions: [{key: '<string>'}],
cities: [{key: '<string>', radius: 123}]
},
interests: [{id: '<string>', name: '<string>'}],
behaviors: [{id: '<string>', name: '<string>'}],
custom_audiences: ['<string>'],
lookalike_audiences: ['<string>']
},
optimization_goal: '<string>',
account_id: '<string>'
}
},
id: '1'
})
};
fetch('https://api.adside.ai/meta/mcp#estimate_audience_size', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Meta
Estimate Audience Size
Estimate the potential reach of a targeting specification. Returns monthly and daily active user estimates with targeting recommendations.
POST
/
meta
/
mcp#estimate_audience_size
Estimate Audience Size
Authorizations
API key (sk_live_*) — SHA256 hashed, looked up in Redis. Generate via the web app's workspace settings.
Body
application/json
⌘I